import { JobsService } from './jobs.service';
import { CreateJobDto } from './dto/create-job.dto';
import { UpdateJobDto } from './dto/update-job.dto';
export declare class JobsController {
    private readonly jobsService;
    constructor(jobsService: JobsService);
    getJobs(filters: any): Promise<any[]>;
    getUserApplications(req: any): Promise<import("./application.entity").ApplicationEntity[]>;
    getJob(id: string): Promise<any>;
    getJobApplications(jobId: string): Promise<import("./application.entity").ApplicationEntity[]>;
    create(req: any, createJobDto: CreateJobDto): Promise<any>;
    applyToJob(req: any, jobId: string, cv: Express.Multer.File, body: {
        coverLetter?: string;
    }): Promise<import("./application.entity").ApplicationEntity>;
    update(id: string, updateJobDto: UpdateJobDto): Promise<any>;
    updateApplicationStatus(applicationId: string, body: {
        status: string;
    }): Promise<import("./application.entity").ApplicationEntity>;
    remove(id: string): Promise<import("typeorm").DeleteResult>;
}
